CoCoA-5 - Bug #1502

SystemCommand in Microsoft version
08 Oct 2020 12:29 - John Abbott

Status: In Progress Start date: 08 Oct 2020
Priority: Normal Due date:

Assignee: John Abbott % Done: 50%
Category: bug Estimated time: 0.00 hour
Target version: CoCoA-5.4.2 Spent time: 2.50 hours
Description

Andraschko reports that SystemCommand does not work properly in the Microsoft release.

Related issues:

Related to CoCoA-5 - Feature #1231: system command Closed 26 Oct 2018
Related to CoCoA-5 - Feature #1373: GFan also for Microsoft? In Progress 04 Dec 2019
History

#1 - 08 Oct 2020 12:29 - John Abbott

- Related to Feature #1231: system command added

#2 - 08 Oct 2020 12:32 - John Abbott

Our code looks to be correct (in agreement with the description given on website cpprefeence.com).

At the moment | have no idea to proceed. A quick internet search did not reveal any other people reporting similar problems.
Emacs on Microsoft appeared to be able to send CLI commands (via M-!).

Puzzled.

#3 - 02 Mar 2021 07:59 - John Abbott

With luck Andraschko will make some tests this week.
By chance | happened to speak to a friend (Nick) who suggested that it might be a good idea to ensure that output from any command is sent to a file
(since Microsoft cmd.exe may not have a notion like "standard output").

#4 - 30 Oct 2021 19:57 - John Abbott

- Status changed from New to In Progress
- Assignee set to John Abbott

- % Done changed from 0 to 50

Bernhard and | made several tests yesterday: well, he made the tests, | just came up with "clever"(??) ideas.
SUMMARY
e so that SystemCommand works the code must be compiled in Cygwin with the flag -D_GNU_SOURCE, and the executable must reside in a
subdirectory of C:/cygwin
e if either condition is not satsfied then SystemCommand appears to do nothing, and returns a non-zero code; strangely the test inside CoCoA-5
does not detect that the low-level system command fails... | wonder why?
Anyway, The build scripts now set the compilation flag _GNU_SOURCE if the platform is Cygwin.

We must document the requirement to place the executable in a subtree of C:/cygwin. Where should this advice be?

PS Many thanks to Bernhard for his patience and assiduity.
#5 - 03 Feb 2022 19:46 - John Abbott
- Related to Feature #1373: GFan also for Microsoft? added

#6 - 03 Feb 2022 19:46 - John Abbott
- Target version changed from CoC0A-5.4.0 to CoCoA-5.4.2
